%define rversion 1.1.1
%define apache_version 1.3.33

Summary: 	Pam authorisation for Apache
Name: 		apache1-mod_auth_pam
Version: 	%{apache_version}_%{rversion}
Release: 	1mdk
License: 	LGPL
Group: 		System/Servers
URL: 		http://pam.sourceforge.net/mod_auth_pam/
Source: 	http://pam.sourceforge.net/mod_auth_pam/dist/mod_auth_pam-%{rversion}.tar.bz2
Patch:		mod_auth_pam.patch.bz2
BuildRequires:	apache1-devel
Prereq:		apache1 = %{apache_version}
Prereq:		apache1-base >= %{apache_version}
BuildRoot: 	%{_tmppath}/%{name}-root

%description
The PAM authentication module implements Basic authentication on 
top of the Pluggable Authentication Module library. Thereby it 
supports standard unix passwd, shadow, NIS, SMB auth and radius 
authentication transparently and easily interchangeable, wherever 
the HTTP protocol allows it.

%prep

%setup -q -n mod_auth_pam-%{rversion}
%patch

chmod 644 INSTALL README doc/configure.txt doc/faq.txt doc/install.txt

%build
%{_sbindir}/apache1-apxs -c mod_auth_pam.c -o mod_auth_pam.so -lpam -ldl

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache1
install -d %{buildroot}%{_sysconfdir}/apache1/modules.d
install -d %{buildroot}%{_sysconfdir}/pam.d

install -m0755 mod_auth_pam.so %{buildroot}%{_libdir}/apache1/mod_auth_pam.so

cat > %{buildroot}%{_sysconfdir}/pam.d/apache1 << EOF
#%PAM-1.0
auth       required     pam_stack.so service=system-auth
account    required     pam_stack.so service=system-auth
EOF

cat > %{buildroot}%{_sysconfdir}/apache1/modules.d/15_mod_auth_pam.conf << EOF
Loadmodule pam_auth_module	modules/mod_auth_pam.so
EOF

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
        %{_initrddir}/apache1 restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README doc/configure.txt doc/faq.txt doc/install.txt
%config(noreplace) %{_sysconfdir}/apache1/modules.d/15_mod_auth_pam.conf
%config(noreplace) %{_sysconfdir}/pam.d/apache1
%{_libdir}/apache1/mod_auth_pam.so

%changelog
* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_1.1.1-1mdk
- renamed to apache1-mod_auth_pam and reworked it quite a bit

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-10mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-9mdk
- built for apache 1.3.33

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-8mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.1-7mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-6mdk
- rebuild with apache 1.3.28

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-5mdk
- new macros from ADVX-build

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1.1-4mdk
- rebuild

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-3mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-2mdk
- Rebuild with new apache

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- from Franck Martin <franck@sopac.org> :
	- Packaged for mdk8.2
